bts_features.c File Reference
`#include <osmocom/gsm/bts_features.h>`

## Functions

const char * | osmo_bts_feature_name (enum osmo_bts_features feature)
| return string representation of a BTS feature More...

## Variables

const struct value_string | osmo_bts_features_descs []

## Detailed Description

osmo-bts features.

## Function Documentation

## osmo_bts_feature_name()

const char* osmo_bts_feature_name | ( | enum osmo_bts_features | feature | ) |

return string representation of a BTS feature

References osmo_bts_features_descs.

## Variable Documentation

## osmo_bts_features_descs

const struct value_string osmo_bts_features_descs[]

Initial value:
= {
{ BTS_FEAT_HSCSD, "HSCSD" },
{ BTS_FEAT_GPRS, "GPRS" },
{ BTS_FEAT_EGPRS, "EGPRS" },
{ BTS_FEAT_ECSD, "ECSD" },
{ BTS_FEAT_HOPPING, "Frequency Hopping" },
{ BTS_FEAT_MULTI_TSC, "Multi-TSC" },
{ BTS_FEAT_OML_ALERTS, "OML Alerts" },
{ BTS_FEAT_AGCH_PCH_PROP, "AGCH/PCH proportional allocation" },
{ BTS_FEAT_CBCH, "CBCH" },
{ BTS_FEAT_SPEECH_F_V1, "Fullrate speech V1" },
{ BTS_FEAT_SPEECH_H_V1, "Halfrate speech V1" },
{ BTS_FEAT_SPEECH_F_EFR, "Fullrate speech EFR" },
{ BTS_FEAT_SPEECH_F_AMR, "Fullrate speech AMR" },
{ BTS_FEAT_SPEECH_H_AMR, "Halfrate speech AMR" },
{ 0, NULL }
}

Referenced by osmo_bts_feature_name().

BTS_FEAT_SPEECH_H_AMR
@ BTS_FEAT_SPEECH_H_AMR
Definition: bts_features.h:25
BTS_FEAT_OML_ALERTS
@ BTS_FEAT_OML_ALERTS
Definition: bts_features.h:18
BTS_FEAT_HOPPING
@ BTS_FEAT_HOPPING
Definition: bts_features.h:16
BTS_FEAT_CBCH
@ BTS_FEAT_CBCH
Definition: bts_features.h:20
BTS_FEAT_ECSD
@ BTS_FEAT_ECSD
Definition: bts_features.h:15
BTS_FEAT_SPEECH_F_AMR
@ BTS_FEAT_SPEECH_F_AMR
Definition: bts_features.h:24
BTS_FEAT_SPEECH_H_V1
@ BTS_FEAT_SPEECH_H_V1
Definition: bts_features.h:22
BTS_FEAT_GPRS
@ BTS_FEAT_GPRS
Definition: bts_features.h:13
BTS_FEAT_HSCSD
@ BTS_FEAT_HSCSD
Definition: bts_features.h:12
BTS_FEAT_MULTI_TSC
@ BTS_FEAT_MULTI_TSC
Definition: bts_features.h:17
BTS_FEAT_AGCH_PCH_PROP
@ BTS_FEAT_AGCH_PCH_PROP
Definition: bts_features.h:19
BTS_FEAT_EGPRS
@ BTS_FEAT_EGPRS
Definition: bts_features.h:14
BTS_FEAT_SPEECH_F_EFR
@ BTS_FEAT_SPEECH_F_EFR
Definition: bts_features.h:23
BTS_FEAT_SPEECH_F_V1
@ BTS_FEAT_SPEECH_F_V1
Definition: bts_features.h:21